Subject: Re: bug#64303: 30.0.50; Android build: use Activities as a way to interact with emacsclient?

From: Ant <[email-masked]>
Date: Thu, 29 Jun 2023 09:22:08 +0000

Sorry for the late reply.

On 27/06/23 02:42, Po Lu wrote:

> Since this will be similar to controlling the Emacs server through ICE
> or D-Bus, we should wait a similar feature to be available on free
> systems before implementing this on Android.

It makes sense. It is worth pointing out that that this feature looks more useful on Android than on any system (I think) Emacs is capable of running on, since Android - unlike the other systems - can't access the built-in emacsclient binary by any means. You'd have to install emacsclient separately (e.g. from Termux) and to communicate via TCP

> Otherwise, this sounds like a good idea.  I will see if I can do both.

Thank you!